function para = invtrans(para, trspec)
% this procedure transforms variables from max to model
% <invtrans.m>
% mode 1: Transform [a,b]   -> [-inf, inf]
% mode 2: Transform [a,inf] -> [-inf, inf]
% <trans.m>
% mode 1: Transform [-inf, inf] -> [a,b] 
% mode 2: Transform [-inf, inf] -> [a,inf]
% See also: trans.m

npara = size(para,1);

for i=1:1:npara
    
    a = trspec(i,2);
    b = trspec(i,3);
    c = trspec(i,4);
    
    if trspec(i,1) == 1
        cx = 2*(para(i)-(a+b)/2)/(b-a);
        para(i) = (1/c)*cx/sqrt(1-cx^2);
    elseif trspec(i,1) == 2
        para(i) = b + (1/c)*log(para(i)-a);
    end
    
end
