function para = trans(para, trspec)
% this procedure transforms variables from max to model
% <trans.m>
% mode 1: Transform [-inf, inf] -> [a,b] 
% mode 2: Transform [-inf, inf] -> [a,inf]
% 
% <invtrans.m>
% mode 1: Transform [a,b]   -> [-inf, inf]
% mode 2: Transform [a,inf] -> [-inf, inf]
% See also: invtrans.m


npara = size(para,1);

for i=1:1:npara
    
    a = trspec(i,2);
    b = trspec(i,3);
    c = trspec(i,4);
    
    if trspec(i,1) == 1
        para(i) = (a+b)/2 + 0.5*(b-a)*c*para(i)/sqrt(1+c^2*para(i)^2);
    elseif trspec(i,1) == 2
        para(i) = a + exp(c*(para(i)-b));
    end
    
end