function a = lowtrmat(b)
% procedure creates a symmetric matrix

ndim = floor(sqrt(size(b,1)*2 + 1/4) - 1/2);
a = zeros(ndim, ndim);
bu = 1;
bl = ndim;

for i=1:1:ndim
    a(i:ndim,i) = b(bu:bl,1);
    a(i,i:ndim) = b(bu:bl,1)';
    bu = bl+1;
    bl = bl+(ndim-i);
end