function b = lowtrvec(a)
% procedure stacks the lower triangular elements of a matrix

% modified code (by minchul)
ndim = size(a,1);
b = zeros(ndim*(ndim+1)/2,1);
bofb = 1;
eofb = ndim;
for i=1:1:ndim
    b(bofb:eofb,1) = a(i:ndim,i);
    bofb = eofb+1;
    eofb = eofb+(ndim-i);
end


% original code -> slow
% ndim = size(a,1);
% b = a(:,1);
% for i=2:1:ndim
%     b = [b; a(i:ndim,i)];
% end
    